/*!***************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[1].use[3]!./node_modules/import-glob-loader/index.js!./src/scss/newgrads/page/message.scss ***!
  \***************************************************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";
/* p-message
=========================== */
.p-message {
  position: relative;
  min-height: 100vh;
  min-height: 100svh;
  padding-bottom: 20%;
  background: none;
  /* iOS対策 */
  /* フッター表示中：背景固定を解除して流す */
}
.p-message::before {
  content: "";
  position: fixed;
  inset: 0;
  background-image: url("/assets/image/newgrads/message/message_back.jpg");
  background-repeat: no-repeat;
  background-size: 1920px;
  background-position: bottom center;
  z-index: -1;
}
.p-message--bg-unfixed::before {
  position: absolute;
  inset: 0;
}
.p-message__keyVisual {
  position: relative;
  padding-top: calc(400 * var(--vw-1920));
}
.p-message__keyVisualInner {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
          align-items: center;
}
.p-message__heading {
  font-size: clamp(26px, 40 * var(--vw-1920), 50px);
  font-weight: bold;
  width: 100%;
  text-align: center;
  color: #fff;
  padding-top: calc(80 * var(--vw-1920));
}
.p-message__inner {
  padding: 0 calc(160 * var(--vw-1920));
  text-align: center;
}
.p-message__text {
  position: absolute;
  top: 20px;
  font-size: clamp(20px, 24 * var(--vw-1920), 30px);
  line-height: 2.5;
  color: #fff;
  text-shadow: 0 0 5px rgba(0, 0, 0, 0.7);
  pointer-events: none;
  padding: 0 calc(280 * var(--vw-1920));
  opacity: 0;
  -webkit-transition: 0.8s;
  transition: 0.8s;
}
.p-message__text--view {
  top: 0px;
  opacity: 1;
}
.p-message__fixedMessage {
  position: fixed;
  top: 35%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  color: #fff;
  pointer-events: none;
  width: 100%;
  display: -webkit-box;
  display: flex;
  -webkit-box-pack: center;
          justify-content: center;
}
.p-message__textRegion {
  height: 60vh;
}
.p-message__textRegion:first-of-type {
  height: 20vh;
}
.p-message__textLayout {
  margin-top: 2em;
}
@media screen and (min-width: 1920px) { /**/ }
@media screen and (max-width: 1380px) { /**/
  .p-message__keyVisual {
    padding-top: calc(400 * var(--vw-1380));
  } }
@media screen and (min-width: 1025px) { /**/ }
@media screen and (max-width: 1024px) { /**/
  .p-message__keyVisual {
    padding-top: calc(320 * var(--vw-1024));
  }
  .p-message__heading {
    padding-top: calc(60 * var(--vw-1024));
  } }
@media screen and (max-width: 768px) { /**/
  .p-message::before {
    background-size: cover;
    background-image: url("/assets/image/newgrads/message/message_back_SP.jpg");
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-position: bottom center;
  }
  .p-message__keyVisual {
    padding-top: calc(420 * var(--vw-750));
  }
  .p-message__heading {
    padding: calc(100 * var(--vw-750)) clamp(20px, 53 * var(--vw-750), 53px) 0;
    font-size: clamp(20px, 50 * var(--vw-750), 50px);
    line-height: 1.6;
  }
  .p-message__inner {
    text-align: left;
  }
  .p-message__text {
    font-size: clamp(14px, 28 * var(--vw-750), 28px);
    padding: 0 calc(60 * var(--vw-750));
  }
  .p-message__textRegion {
    height: 90vh;
  }
  .p-message__textRegion:first-of-type {
    height: 30vh;
  } }
@media screen and (max-width: 374px) { /**/ }
@media screen and (min-width: 1921px) {
  .p-message::before {
    background-size: 100%;
  }
}
